com.pivotal.gemfirexd.internal.client.am

## Class Types

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.Types

    public class Types
    extends Object

### Field Summary

Fields
`static int` `BIGINT`
`static int` `BINARY`
`static int` `BLOB`
`static int` `BOOLEAN`
`static int` `CHAR`
`static int` `CLOB`
`static int` `DATE`
`static int` `DECIMAL`
`static int` `DOUBLE`
`static int` `INTEGER`
`static int` `JAVA_OBJECT`
`static int` `LONGVARBINARY`
`static int` `LONGVARCHAR`
`static int` `REAL`
`static int` `SMALLINT`
`static int` `TIME`
`static int` `TIMESTAMP`
`static int` `VARBINARY`
`static int` `VARCHAR`

### Method Summary

Methods
`static String` `getTypeString(int type)`
`static int` `mapDERBYTypeToDriverType(boolean isDescribed, int sqlType, long length, int ccsid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

#### SMALLINT

    public static final int SMALLINT

See Also:
  Constant Field Values

#### INTEGER

    public static final int INTEGER

See Also:
  Constant Field Values

#### BIGINT

    public static final int BIGINT

See Also:
  Constant Field Values

#### REAL

    public static final int REAL

See Also:
  Constant Field Values

#### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

#### DECIMAL

    public static final int DECIMAL

See Also:
  Constant Field Values

#### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

#### VARCHAR

    public static final int VARCHAR

See Also:
  Constant Field Values

#### LONGVARCHAR

    public static final int LONGVARCHAR

See Also:
  Constant Field Values

#### DATE

    public static final int DATE

See Also:
  Constant Field Values

#### TIME

    public static final int TIME

See Also:
  Constant Field Values

#### TIMESTAMP

    public static final int TIMESTAMP

See Also:
  Constant Field Values

#### BINARY

    public static final int BINARY

See Also:
  Constant Field Values

#### VARBINARY

    public static final int VARBINARY

See Also:
  Constant Field Values

#### LONGVARBINARY

    public static final int LONGVARBINARY

See Also:
  Constant Field Values

#### BLOB

    public static final int BLOB

See Also:
  Constant Field Values

#### CLOB

    public static final int CLOB

See Also:
  Constant Field Values

#### JAVA_OBJECT

    public static final int JAVA_OBJECT

See Also:
  Constant Field Values

### Method Detail

#### getTypeString

    public static String getTypeString(int type)

#### mapDERBYTypeToDriverType

    public static int mapDERBYTypeToDriverType(boolean isDescribed,
                               int sqlType,
                               long length,
                               int ccsid)